function List_Node(node)
{

    List_Node.superclass.constructor.call(this, {});

    var oMainDiv = Rup.create('div');
    var oHeader = Rup.create('span');
    var oContainerDiv = Rup.create('div');
    
    var oOpenElement = Rup.create('span');
    var oCloseElement = Rup.create('span');
    
    oOpenElement.innerHTML = '[-]';
    oCloseElement.innerHTML = '[+]';
    
    oOpenElement.style.display = 'none';
//GP
    oCloseElement.style.cursor = 'default';
    oOpenElement.style.cursor  = 'default';

    
    var instance = this;
    oOpenElement.onclick = function(){
        instance.close();
    }
    
    oCloseElement.onclick = function(){
        instance.open();
    }
    
    oMainDiv.appendChild(oOpenElement);
    oMainDiv.appendChild(oCloseElement);
    
    this._setOpenElement(oOpenElement);
    this._setCloseElement(oCloseElement);
    
    oContainerDiv.style.padding = '0 0 0 25px';
    
    oHeader.innerHTML = node.getAttribute('content');
    
    oMainDiv.appendChild(oHeader);
    oMainDiv.appendChild(this._loadingElement);
    oMainDiv.appendChild(oContainerDiv);
    
    this._setBaseElement(oMainDiv);
    this._setContainerElement(oContainerDiv);
    
    this._hideContainer();
    
    this._isLoaded = true;
    
    var aItems = node.getElementsByTagName('listitem');
    
    var oUl = Rup.create('ul');
    
    for(var i = 0; i < aItems.length; i++)
    {
        var oLi = Rup.create('li');
        
        var oLink = new Link({
            typeId: aItems[i].getAttribute('typeid'),
            nodeId: aItems[i].getAttribute('objid'),
            mode: aItems[i].getAttribute('mode') || "doc",
            text: aItems[i].getAttribute('text')
        });
        
        oLi.appendChild(oLink.dom());
        oUl.appendChild(oLi);
    }
    
    this.appendChild(oUl);
    
}

Rup.extend(List_Node, Tree_Node_Abstract);

List_Node.prototype._load = function() {}

